Package: org.codehaus.groovy.ast.stmt

## [Java] Class ForStatement

- org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class ForStatement
      extends Statement

  Represents a standard for loop in Groovy

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForStatement (Parameter variable, Expression collectionExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getCollectionExpression()`
    `` | `Statement` | `getLoopBlock()`
    `` | `Parameter` | `getVariable()`
    `` | `VariableScope` | `getVariableScope()`
    `` | `ClassNode` | `getVariableType()`
    `` | `void` | `setCollectionExpression(Expression collectionExpression)`
    `` | `void` | `setLoopBlock(Statement loopBlock)`
    `` | `void` | `setVariableScope(VariableScope variableScope)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final Parameter FOR_LOOP_DUMMY

  - ### Constructor Detail

    - #### public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

  - ### Method Detail

    - #### public Expression getCollectionExpression()

    - #### public Statement getLoopBlock()

    - #### public Parameter getVariable()

    - #### public VariableScope getVariableScope()

    - #### public ClassNode getVariableType()

    - #### public void setCollectionExpression(Expression collectionExpression)

    - #### public void setLoopBlock(Statement loopBlock)

    - #### public void setVariableScope(VariableScope variableScope)

    - #### public void visit(GroovyCodeVisitor visitor)